Create a skill

Base URL
https://{kibana_url}
  • POST /api/agent_builder/skills
Auth

Create a new user-defined skill. To learn more about Agent Builder skills, refer to the skills documentation.

Required authorization

Privileges agentBuilder:manageSkills

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

content string required

Skill instructions content (markdown).

description string required

Description of what the skill does.

id string required

Unique identifier for the skill.

name string required

Human-readable name for the skill.

referenced_content object[] · max items: 100
content string required

Content of the reference.

name string required

Name of the referenced content.

relativePath string required

Relative path of the referenced content.

tool_ids string[] · max items: 100 · default: []

Tool IDs from the tool registry that this skill references.

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}